org.jgroups.blocks

## Class DistributedLockManager.MultiLockDecree

- java.lang.Object
- - org.jgroups.blocks.DistributedLockManager.LockDecree
  - - org.jgroups.blocks.DistributedLockManager.MultiLockDecree

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DistributedLockManager

    public static class DistributedLockManager.MultiLockDecree
    extends DistributedLockManager.LockDecree

This class represents the lock that has to be marked as multilocked

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jgroups.blocks.DistributedLockManager.LockDecree

`commited, lockId, managerId, requester`

### Method Summary

### Methods inherited from class org.jgroups.blocks.DistributedLockManager.LockDecree

`commit, equals, getKey, getRequester, hashCode, isMultipleLocked, isValid, setMultipleLocked, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`